      SUBROUTINE LFIERF ( KREP, KNUMER, LDERFA )
#include "lficomt.h"
C****
C        CE SOUS-PROGRAMME PERMET D'ACTIVER OU DE DESACTIVER L'OPTION
C     RENDANT FATALE TOUTE ERREUR DETECTEE SUR UN FICHIER PARTICULIER,
C     OUVERT POUR LE LOGICIEL LFI.
C        CEPENDANT, TANT QUE LE NIVEAU GLOBAL D'ERREUR FATALE *NERFAG*
C     VAUT 0 OU 2, L'OPTION PROPRE AU FICHIER EST INOPERANTE.
C     *NERFAG* VAUT PAR DEFAUT 1, ET EST REGLABLE VIA LE S/P "LFINEG".
C**
C     ARGUMENTS : KREP   (SORTIE) ==> CODE-REPONSE DU SOUS-PROGRAMME;
C                 KNUMER (ENTREE) ==> NUMERO D'UNITE LOGIQUE CONCERNEE;
C                 LDERFA (ENTREE) ==> OPTION D'ERREUR FATALE (VRAI=OUI).
C
#include "lficom0.h"
#ifndef f77
#include "precision.h"
#endif
#include "lficom1.h"
C
      INTEGER KREP, KNUMER, IRANG, IREP, INIMES
C
      LOGICAL LDERFA
C
#include "lficom2.h"
C
      CALL LFINUM (KNUMER,IRANG)
C
      IF (IRANG.NE.0) THEN
        LERFAT(IRANG)=LDERFA
        NDEROP(IRANG)=4
        IREP=0
      ELSE
        IREP=-1
      ENDIF
C
      LLFATA=LLMOER (IREP,IRANG)
      KREP=IREP
C
      IF (LLFATA.OR.IXNIMS (IRANG).EQ.2) THEN
        INIMES=2
      ELSE
        RETURN
      ENDIF
C
      CLNSPR='LFIERF'
      WRITE (UNIT=CLMESS,FMT='(''KREP='',I4,'', KNUMER='',I3,
     S       '', LDERFA= '',L1)') KREP,KNUMER,LDERFA
      CALL LFIEMS (KNUMER,INIMES,IREP,LLFATA,CLMESS,CLNSPR,CLACTI)
C
      RETURN
      END
